#!/usr/bin/perl -w

use Test::More tests => 2;
BEGIN { use_ok('SetRecon') };

$sketcher = new SetRecon(64, 5);

@set1 = ( 1, 6, 142, 273, 403, 53183748376, 661, 789, 918, 1046, 1170 );

#print "Set 1: @set1\n";

$sketcher->AddSet(\@set1);

my $sketch_data = $sketcher->GetSketchData();

#while (($key, $val) = each %{$sketch_data})
#{
#	print "$key : ". ($key eq 'size' ? $val : "@{$val}") . "\n";
#}

$sketcher->RemoveSketch();

@set2 = ( 6, 142, 272, 403, 53183748376, 661, 789, 918, 1046, 1174 );

#print "Set 2: @set2\n";

$sketcher->AddSet(\@set2);

$res = $sketcher->GetDiffSizes($sketch_data);

#print "Result: @{$res}\n";

is(join(' ', sort {$a <=> $b} @{$res}) eq "2 3", 1);

#print "Set A: @set1\n";
#print "Set B: @set2\n";

#print "Result: $res Diff: @diff\n";





