#!/usr/bin/perl -w

use Test::More tests => 2;
BEGIN { use_ok('SetRecon') };

$sketcher = new SetRecon(64, 5);

@set1 = ( 1, 6, 142, 4545, 43455, 273, 403, 53183748376, 661, 789, 918, 1046, 1170 );

print "Set 1: @set1\n";

$sketcher->AddSet(\@set1);

my $sketch_data = $sketcher->GetSketchData();

#while (($key, $val) = each %{$sketch_data})
#{
#	print "$key : ". ($key eq 'size' ? $val : "@{$val}") . "\n";
#}

$sketcher->RemoveSketch();

@set2 = ( 6, 142, 272, 403, 53183748376, 661, 789, 918, 1046, 1174 );

#print "Set 2: @set2\n";

$sketcher->AddSet(\@set2);

my (@diffA, @diffB);

$res = $sketcher->GetDiff($sketch_data, \@diffA, \@diffB);

#print "Result: $res\n";
#print "Diff A: @diffA\n";
#print "Diff B: @diffB\n";

is($res, -1);
#is(join(' ', sort {$a <=> $b} @diff) eq "1 272 273 1170 1174", 1);

#print "Set A: @set1\n";
#print "Set B: @set2\n";

#print "Result: $res Diff: @diff\n";





